import { jsx } from "react/jsx-runtime";
import { Joystick as Joystick$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Joystick = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Joystick", ...props, children: /* @__PURE__ */ jsx(Joystick$1, { weight: variant }) });
  }
);
Joystick.displayName = "Joystick";
Object.assign(Joystick, { isGdsIcon: true });
export {
  Joystick
};
